POST/locations

List Locations

Returns a paginated list of available locations
POST/locations

Parameter Details

NameInTypeRequiredDescription
ยป pickupLocationbodystringRequiredSearch query for locations

Responses

StatusMeaningDescriptionSchema
200OKOK
400Bad RequestBad RequestNone
401UnauthorizedAuthorization FailedNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /locations \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}' \
  -d '{"pickupLocation":"string"}'

Body parameter

{
  "pickupLocation": "New Jersey"
}

Example responses

200 Response
[
  {
    "pickupLocation": "New Jersey",
    "websiteCode": 1,
    "countryCode": "US"
  }
]

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.